<?php
/*
orphanedpages.php

Copyright 2002, 2003  David DELON
Copyright 2002  Charles NEPOTE
Copyright 2002  Patrick PAUL
Copyright 2006 Jean-Michel PHILIPPE
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

echo "<div class=\"orphanedpages\">\n";
echo "<p>Voici la liste des pages n'ayant aucun lien pointant vers elle depuis les autres pages de ce site. De ce fait, ces pages orphelines sont quasiment impossibles &agrave; trouver pour le lecteur.</p>\n";

if ($pages = $this->LoadOrphanedPages())
{
	echo "<ul>\n";
	$odd_even = false;
	foreach ($pages as $page)
	{
		$odd_even = !$odd_even;
		$liclass = ($odd_even) ? 'odd' : 'even';
		
		echo "\t\t<li class=\"$liclass\">";
		echo '<a href="'.$this->Href("",$page["tag"]).'" title="Consulter cette page">'.$page["tag"].'</a>';
		echo "</li>\n";
	}
	echo "</ul>\n";
}
else
{
	echo "<div class=\"warning\">\n\t<p>Il n'y a pas de pages orphelines</p>\n</div>\n";
}

echo "</div>\n\n";
?>
