<?php
/*
wantedpages.php
Copyright (c) 2002, Hendrik Mans <hendrik@mans.de>
Copyright 2002, 2003 David DELON
Copyright 2002 Charles NEPOTE
Copyright 2002  Patrick PAUL
Copyright 2006 Didier LOISEAU
All rights reserved.
Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:
1. Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.
3. The name of the author may not be used to endorse or promote products
derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/
echo "<div class=\"wantedpages\">\n";
echo "<p>Voici la liste des pages &agrave; cr&eacute;er. Ces pages sont r&eacute;f&eacute;renc&eacute;es dans d'autres pages mais n'ont jamais &eacute;t&eacute; cr&eacute;&eacute;es. Pour voir dans quelles pages se trouvent les r&eacute;f&eacute;rences, il suffit de cliquer sur le lien &laquo; <em>pages concern&eacute;es</em> &raquo;.</p>\n";
if ($pages = $this->LoadWantedPages())
{
	echo "<dl>\n";
	foreach ($pages as $page)
	{
		echo '	<dt>'
			.'<a href="'.$this->href(edit, $page['tag']).'"'
			.'class="missingpage"'
			.'title="Cr&eacute;er cette page">'
			.$page['tag'].'</a>'
			.'</dt>';

		echo "\n\t<dd>";
		echo $page['count'], ' r&eacute;f&eacute;rence(s), voir la liste des ';
		echo $this->ComposeLinkToPage($page['tag'], 'backlinks', 'pages concernes');
		echo "</dd>\n";
	}
	echo "</dl>\n";
}
else
{
	echo "<div class=\"warning\">\n\t<p>Aucune page &agrave; cr&eacute;er.</p>\n</div>\n\n";
}
echo "</div>\n\n";
?>
