<?php
/*
referrers.php
Copyright (c) 2002, Hendrik Mans <hendrik@mans.de>
Copyright 2002, 2003 David DELON
Copyright 2002, 2003 Charles NEPOTE
Copyright  2003  Eric FELDSTEIN
Copyright  2003  Jean-Pascal MILCENT
Copyright  2006  Jean-Michel PHILIPPE
All rights reserved.
Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:
1. Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.
3. The name of the author may not be used to endorse or promote products
derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/

// Vrification de scurit
if (!defined("WIKINI_VERSION"))
{
	die ("acc&egrave;s direct interdit");
}

ob_start();
?>
<div id="text"><div class="deco-body">
<?php
// Valeur par dfaut du paramtre "global"
$global = isset($_REQUEST["global"]) && $_REQUEST["global"];
// Si le paramtre "global" a t spcifi
if ($global)
{
	$title = "Voici la liste de toutes les pages externes faisant r&eacute;f&eacute;rence &agrave; ce wiki. Vous pouvez aussi consulter la <a href=\"".$this->href("referrers_sites", "", "global=1")."\">liste des domaines</a> y faisant r&eacute;f&eacute;rence.";
	$referrers = $this->LoadReferrers();
}
else
{
	$title = "Voici la liste des pages externes faisant r&eacute;f&eacute;rence &agrave;  ".$this->ComposeLinkToPage($this->GetPageTag()).
	($this->GetConfigValue("referrers_purge_time") ? ", liste &eacute;tablie depuis la derni&egrave;re purge il y a ".($this->GetConfigValue("referrers_purge_time") == 1 ? "24 heures" : $this->GetConfigValue("referrers_purge_time")." jours") : "").". Vous pouvez aussi consulter la <a href=\"".$this->href("referrers_sites")."\">liste des domaines</a> y faisant r&eacute;f&eacute;rence.";
		
	$referrers = $this->LoadReferrers($this->GetPageTag());
}

echo "<h1>Rfrences externes par pages</h1>\n<p>$title</p>\n" ;
if ($referrers)
{
	{
		$odd_even = false;
		echo "<dl>\n" ;
		foreach ($referrers as $referrer)
		{
			$odd_even = !$odd_even;
			$classname = ($odd_even) ? 'odd' : 'even';
			
			echo "<dt class=\"$classname\"><a href=\"",htmlspecialchars($referrer["referrer"]),"\">",htmlspecialchars($referrer["referrer"]),"</a></dt>\n" ;
			echo "<dd class=\"$classname\">",$referrer["num"], " r&eacute;f&eacute;rence(s)</dd>\n";
		}
		echo "</dl>\n" ;
	}
}
else
{
	echo "<div class=\"warning\">\n\t<p>Aucune <acronym title=\"Uniform Resource Locator (adresse web)\">URL</acronym> ne fait r&eacute;f&eacute;rence &agrave; cette page.</p>\n</div>\n" ;
}

if ($global)
{
	echo "<h3>Voir aussi</h3>\n";
	echo "<ul>\n";
	echo "\t<li>les <a href=\"",$this->href("referrers_sites"),"\">domaines faisant r&eacute;f&eacute;rence</a> &agrave; ",$this->GetPageTag()," seulement</li>\n";
	echo "\t<li>les <a href=\"",$this->href("referrers"),"\">pages faisant r&eacute;f&eacute;rences</a> &agrave; ",$this->GetPageTag()," seulement</li>\n";
	echo "</ul>\n";
}
else
{
	echo "<h3>Voir aussi</h3>\n";
	echo "<ul>\n";
	echo "\t<li>tous les <a href=\"",$this->href("referrers_sites", "", "global=1"),"\">domaines faisant r&eacute;f&eacute;rence</a> &agrave; ce wiki</li>";
	echo "<li>toutes les <a href=\"",$this->href("referrers", "", "global=1"),"\">pages faisant r&eacute;f&eacute;rence</a> &agrave; ce wiki</li>\n";
	echo "</ul>\n";
}

?>
</div></div>
<?php

$content = ob_get_clean();
echo $this->Header();
echo $content;
echo $this->Footer();

?>