<?php

function IsWikiName($text)
{
	return preg_match('/^' . WN_WIKI_LINK . '$/', $text);
}

	/**
	 * Extrait d'un texte les liens au format Wiki qui si trouvent
	 */
	function WikiLinkTraking($texte)
	{
		// Recherche tous les liens au format wiki
		// (ceux entre "" "", les InterWikis, et les normaux)
		if (preg_match_all("/\"\".*?\"\"|"
			."\{\{.*?\}\}|"
			.'\b' . WN_INTERWIKI_LINK . '\b|'
			.'\b' . WN_WIKI_LINK . '\b|'
			."\n/ms", $texte, $ListeDesLiens)) {

			// Parcours toutes les valeurs trouves
			foreach ($ListeDesLiens[0] as $UnLien) {
				// On isole les liens strictement Wiki
				// (ni ceux entre "" "", ni les InterWikis)
				if (IsWikiName($UnLien)) $LiensExtraits[] = $UnLien;
			}

			if (isset($LiensExtraits)) {
				// Supprime les liens redondants
				$LiensExtraits = array_unique($LiensExtraits);

				// Retour de la liste des liens trouvs
				return $LiensExtraits;
			}
		}
	}


/**
 * Enregistre la table des liens d'une page
 */
function WriteLinkTable($Tag, $Body, $TablePrefix)
{
	if ($ListeDesLiens = WikiLinkTraking($Body)) {
		foreach ($ListeDesLiens as $UnLien) {
			// Concatner les valeurs, sauf si elle page pointe vers elle-mme
			if ($tag != $UnLien)
    			$SQL .= "INSERT INTO ".$TablePrefix."links (from_tag, to_tag) VALUES ";
				$SQL .= "('".$GLOBALS['dbObject']->escape_string($Tag)."','"
						.$GLOBALS['dbObject']->escape_string($UnLien)."');";
		}
			
		// On vrifie qu'en cas de lien unique  crire,
		// il ne pointait pas vers la page courante (lien jamais crit)
		if (isset($SQL)) {
			// Ecrire la table
			$GLOBALS['dbObject']->unbuffered_query($SQL);
		}
	}
}

?>
