<?php

/*
backlinks.php

Copyright 2002  Patrick PAUL
Copyright 2003  David DELON
Copyright 2003  Charles NEPOTE
Copyright 2006  Jean-Michel PHILIPPE

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


if ($page = trim($this->GetParameter('page')))
{
	$title = 'Pages ayant un lien vers '.$this->ComposeLinkToPage($page).'&nbsp;:';
}
else
{
	$page = $this->getPageTag();
	$title = 'Pages ayant un lien vers la page courante&nbsp;:';
}

$pages = $this->LoadPagesLinkingTo($page);

if ($pages)
{
	echo "<div class=\"backlinks\">\n\t<p>$title</p>\n\t<ul>\n";
	$exclude = explode(';', $this->GetParameter('exclude'));
	foreach($exclude as $key => $exclusion){
		$exclude[$key] = trim($exclusion);
	}
	
	$odd_even = false;
	foreach($pages as $page){
		if(!in_array($page['tag'], $exclude)){
			$odd_even = !$odd_even;
			$classname = ($odd_even) ? 'odd' : 'even';
			
			echo "\t\t<li class=\"$classname\">";
			echo '<a href="',$this->Href('',$page['tag']),'" title="Consulter cette page">',$page['tag'],"</a></li>\n";
		}
	}
	echo "\t</ul>\n</div>\n\n";
}
else
{
	echo "<div class=\"warning\">\n\t<p>Aucune page n'a de lien vers ", $this->ComposeLinkToPage($page), ".</p>\n</div>\n";
}
?>