<?php
/*
$Id: mypages.php 727 2006-12-24 15:09:18Z lkppo $
Copyright (c) 2003, Carlo Zottmann -- http://wakkawikki.com/CarloZottmann
Copyright 2003 David DELON
Copyright 2003 Jean Pascal MILCENT
Copyright 2004 Jean Christophe ANDR
Copyright 2005 Charles NEPOTE
All rights reserved.
Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:
1. Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.
3. The name of the author may not be used to endorse or promote products
derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/

echo "<div class=\"mypages\">\n";
echo "\t<p>Voici la liste des pages dont vous &ecirc;tes le gestionnaire rang&eacute;es par ordre alphab&eacute;tique</p>\n";

if ($user = $this->GetUser())
{
	$my_pages_count = 0;
	$curChar = '';

	if ($pages = $this->LoadAllPages())
	{
		$odd_even = false;
		foreach ($pages as $page)
		{
			if ($this->GetUserName() == $page["owner"] && !preg_match("/^Comment/", $page["tag"])) {
				$firstChar = $page["tag"][0];

				if ($firstChar != $curChar) {
					$odd_even = !$odd_even;
					$classname = ($odd_even) ? 'odd' : 'even';
					$odd_even_li = false;
					
					if ($curChar) {
						echo "\n\t\t</ul></dd>\n";
					} else {
						echo "<dl>\n";
					}
					echo "\t<dt class=\"$classname\">$firstChar</dt>\n";
					echo "\t<dd class=\"$classname\"><ul>\n";
					$curChar = $firstChar;
				}
	
				$odd_even_li = !$odd_even_li;
				$liclass = ($odd_even_li) ? 'odd' : 'even';
			
				echo "\t\t<li class=\"$liclass\">";
				echo '<a href="'.$this->Href("",$page["tag"]).'" title="Consulter cette page">'.$page["tag"].'</a>';
				echo "</li>\n";
				
				$my_pages_count++;
			}
		}
		
		if ($my_pages_count == 0) {
			echo "<p>Vous n'&ecirc;tes le propri&eacute;taire d'aucune page.</p>\n";
		} else {
			echo "\t</ul></dd>\n</dl>\n";
		}
	}
	else
	{
		echo "<div class=\"error\">\n\t<p>Aucune page trouv&eacute;e.</p>\n</div>\n\n";
	}
}
else
{
	echo "<div class=\"error\">\n\t<p>Vous n'&ecirc;tes pas identifi&eacute; : impossible d'afficher la liste des pages dont vous &ecirc;tes le gestionnaire.</p>\n</div>\n\n";
}
echo "</div>\n";

?>
