<?php
/*
$Id: pageindex.php 618 2006-11-26 20:45:41Z jmphilippe $
Copyright (c) 2003, Hendrik Mans <hendrik@mans.de>
Copyright 2003 David DELON
Copyright 2004 Didier Loiseau
Copyright 2004 Jean Christophe ANDR
Copyright 2006 Jean-Michel PHILIPPE
All rights reserved.
Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:
1. Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.
3. The name of the author may not be used to endorse or promote products
derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/

echo "<div class=\"pageindex\">\n";
echo "\t<p>Voici l'index des pages du site, rang&eacute;es par ordre alphab&eacute;tique.</p>\n";

if ($pages = $this->LoadAll('SELECT tag FROM ' . $this->GetConfigValue("table_prefix") . 'pages WHERE latest = \'Y\' AND comment_on=\'\' ORDER BY tag'))
{
	$odd_even = false;
	$output = '';
	$toc = "<ul>\n";
	foreach ($pages as $page)
	{
		// XXX: strtoupper is locale dependent
		$firstChar = strtoupper($page['tag']{0});
		if (!preg_match('/'.WN_UPPER.'/', $firstChar)) {
			$firstChar = '#';
		}

		if (empty($curChar) || $firstChar != $curChar) {
			$odd_even = !$odd_even;
			$classname = ($odd_even) ? 'odd' : 'even';
			$odd_even_li = false;
			
			if (!empty($curChar)) {
				$output .= "\n\t\t</ul></dd>\n";
			} else {
				$output .= "<dl>\n";
			}
			$output .= "\t<dt class=\"$classname\"><a id=\"letter_$firstChar\"></a>$firstChar</dt>\n";
			$output .= "\t<dd class=\"$classname\"><ul>\n";
			$toc .= "\t<li class=\"$classname\"><a href=\"#letter_$firstChar\" title=\"Aller &agrave; la lettre $firstChar\">$firstChar</a></li>\n";
			$curChar = $firstChar;
		}

		$odd_even_li = !$odd_even_li;
		$liclass = ($odd_even_li) ? 'odd' : 'even';
	
		$output .= "\t\t<li class=\"$liclass\">";
		$output .= '<a href="'.$this->Href("",$page["tag"]).'" title="Consulter cette page">'.$page["tag"].'</a>';
		$output .= "</li>\n";
	}
	echo $toc,"</ul>\n",$output,"\t</ul></dd>\n</dl>\n";
}
else
{
	echo "<div class=\"error\">\n\t<p>Aucune page trouv&eacute;e.</p>\n</div>\n\n";
}

echo "</div>\n\n";
?>
