<?php
/*
$Id: footer.php 717 2006-12-23 00:10:28Z lkppo $
Copyright (c) 2002, Hendrik Mans <hendrik@mans.de>
Copyright 2002, 2003, 2004 David DELON
Copyright 2002, 2003, 2004 Charles NEPOTE
Copyright 2002, 2003  Patrick PAUL
Copyright 2003  Eric DELORD
Copyright 2004  Jean Christophe ANDRE
Copyright 2006  Jean-Michel PHILIPPE
All rights reserved.
Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:
1. Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.
3. The name of the author may not be used to endorse or promote products
derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/

// search menu
$search_url = $this->href("", "RechercheTexte", "");

// comments menu only if the page exists
$comment_html = '';
if ($this->PageExists($this->GetPageTag()) && !$this->page["comment_on"] && $this->GetConfigValue('comment_enable'))
{	// if this page exists and isn't a comment
	$nbr_comments = count($this->LoadComments($this->GetPageTag()));
	switch ($nbr_comments)
	{	// adapt 1st menu entry to the comment number
	case 0:
		$comment_text = "Pas de commentaire";
		break;
	case 1:
		$comment_text = "1 commentaire";
		break;
	default:
		$comment_text =  "$nbr_comments commentaires";
	}

	$show_comments_link = "";
	$go_comments_link = "";
	if ($this->GetMethod() == "show")
	{	// comments can only be displayed within the show handler
		if ($this->page && $_SESSION["show_comments"][$this->GetPageTag()])
		{	// comments already displayed
			$show_comments_link = '<li><a href="' . $this->href("", "", "show_comments=0") . '" title="Cacher les commentaires et le formulaire" accesskey="c">Cacher</a></li>'."\n";
			$go_comments_link = '<li><a href="#go_Page_Comments" title="D&eacute;placer la vue au niveau des commentaires">S\'y rendre</a></li>'."\n";
		}
		else
		{	// show comments link
			$show_comments_link = '<li><a href="' . $this->href("", "", "show_comments=1") . '#go_Page_Comments" accesskey="c" title=';
			if ($nbr_comments)
			{
				$show_comments_link .= '"Afficher les commentaires et le formulaire pour en ajouter">Afficher ou en ajouter';
			}
			else
			{	// no comment to be displayed -> add one
				$show_comments_link .= '"Afficher le formulaire pour en ajouter">En ajouter';
			}
			$show_comments_link .= "</a></li>\n";
		}
	}

	// the comment menu Html code
	$comment_html = "	<div id=\"menu-comments\">\n".
	"		<div>\n".
	"			<h3><a id=\"go_Menu_Comments\"></a> Commentaires </h3>\n".
	"		</div>\n".
	"		<ul>\n".
	"			<li>$comment_text</li>\n".
	"$show_comments_link".
	"$go_comments_link".
	"		</ul>".
	"	</div>";
}

// navigation menu
$last_changes_url = $this->href('', 'DerniersChangements', '');
$last_comments_url = $this->href('', 'DerniersCommentaires', '');
//$user_help_url = $this->href("", "AideAuLecteur", "");

// Page tools menu
$edit_link = '';
if ($this->GetMethod() != "edit")
{
	if ($this->HasAccess("write"))
	{
		$edit_link = '<li class="edit"><a href="'.$this->href("edit").'#go_Page_Title" title=';
		if ($this->page)
		{	// if this page exists
			$edit_link .= '"Formulaire pour modifier le texte de cette page">&Eacute;diter';
		}
		else
		{
			$edit_link .= '"Formulaire pour entrer le texte de cette page">Cr&eacute;er';
		}
		$edit_link .= "</a></li>\n";
	}
	else
	{
		$edit_link = '<li class="locked" title="Vous ne pouvez pas modifier cette page"><dfn>Verrouill&eacute;e</dfn></li>'."\n";
	}
}
else
{
	$edit_link = '<li class="edit"><a title="dition en cours">&Eacute;diter</a></li>'."\n";
}
$acl_link = '';
$delete_link = '';
$page_search_link = '';
$referrers_link = '';
if ($this->page)
{	// if this page exists
	if ($this->UserIsOwner())
	{	// owner is current user -> can modify ACL's and delete page
		$acl_link = "<li class=\"permissions\"><a href=\"" . $this->href("acls") . "\" title=\"Modifier les droits d'acc&egrave;s de cette page\">Permissions</a></li>\n";

		$delete_link = "<li class=\"remove\"><a href=\"" . $this->href("deletepage") . "\" title=\"Supprimer d&eacute;finitivement cette page\">Supprimer</a></li>\n";
	}
	$page_search_link = '<li class="linked"><a href="'.$this->href('backlinks').'" title="Pages de ce site se r&eacute;f&eacute;rant &agrave; cette page">Pages li&eacute;es</a></li>';

	$referrers_link = '<li class="references"><a href="'.$this->href("referrers").'" title="Pages d\'autres sites se r&eacute;f&eacute;rant &agrave; cette page">R&eacute;f&eacute;rences</a></li>';
}
$revisions_link = $this->GetPageTime() ? '<li class="history"><a href="'.$this->href("revisions").'" title="Consulter de pr&eacute;c&eacute;dentes versions et les comparer">Archives</a></li>'."\n" : "";

// contribute menu
$contrib_help_url = $this->href("", "AideWikini", "");
$user_params_link = '<a href="'.$this->href('', 'ParametresUtilisateur', '').'" title=';
if ($this->GetUser())
{
	$user_name_link = '<li class="user">Vous &ecirc;tes <a href="' . $this->href('', $this->GetUserName(), '') . '" title="Voir ma page contributeur">' . $this->GetUserName() . '</a></li>'."\n";

	$user_params_link = '<li class="params">'.$user_params_link.'"Modifier mes param&egrave;tres de navigation">Param&egrave;tres utilisateur';

	$disconnect_link = '<li class="logout"><a href="' . $this->href('', 'ParametresUtilisateur', 'action=logout') . '" title="Redevenir anonyme">D&eacute;connexion</a></li>'."\n";
}
else
{
	$user_name_link = '<li class="user">Vous &ecirc;tes <dfn title="\'' . $this->GetUserName() . '\' sera votre identit&eacute; sur ce site">' . $this->GetUserName() . '</dfn></li>'."\n";

	$user_params_link = '<li class="login">'.$user_params_link.'"S\'authentifier ou cr&eacute;er un compte utilisateur">Connexion';

	$disconnect_link = '';
}
$user_params_link .= "</a></li>\n";

// footer menus
$wikini_site_url = '<a href="'.$this->GetInterWikiUrl("WikiNi","PagePrincipale").'" title="Visiter le site de Wikini">WikiNi</a>';
$xhtml_validation_url = 'http://validator.w3.org/check?uri=' . urlencode($this->href());
$css_validation_url = 'http://jigsaw.w3.org/css-validator/validator?uri=' . urlencode($this->href());

// debug mode
$debug_log = '';
if ($this->GetConfigValue("debug")=="yes")
{
	$debug_log = "<div id=\"debug\">\n\t<h3>Query log</h3>\n";
	$t_SQL=0;
	foreach ($this->queryLog as $query)
	{
		$debug_log .= "\t<p>".$query["query"]." (".round($query["time"],4).")</p>\n";
		$t_SQL = $t_SQL + $query["time"];
	}

	$debug_log .= "\n\t<p><strong>".round($t_SQL, 4)." s (total SQL time)</strong></p>\n";

	list($g2_usec, $g2_sec) = explode(" ",microtime());
	define ("t_end", (float)$g2_usec + (float)$g2_sec);
	$debug_log .= "\t<p><strong>".round(t_end-t_start, 4)." s (total time)</strong></p>\n";

	$debug_log .= "\t<p><strong>SQL time represents: ".round((($t_SQL/(t_end-t_start))*100),2)."% of total time</strong></p>\n";
	$debug_log .= "</div>\n";
}

?>
<?php echo $debug_log ?>

<div class="deco-bottom"><span><!-- --></span></div>

</div></div>

<div id="menu"><div class="deco-body">
	<div id="search">
		<div class="box-top">
			<h3><a id="go_Menu_Search"></a> <label for="phrase">Rechercher</label> </h3>
		</div>
		
		<form action="<?php echo $search_url ?>" method="get">
			<div>
				<input type="hidden" id="wiki" name="wiki" value="RechercheTexte" style="display: none;" />
				<input type="text" id="phrase" name="phrase" title="Rechercher un texte sur tout le site" />
			</div>
		</form>
	</div>
	
	<?php echo $comment_html ?>
	
	<div id="nav">
		<div>
			<h3><a id="go_Menu_Navigation"></a> Navigation </h3>
		</div>
		
		<ul>
			<li>
				<a href="<?php echo $last_changes_url ?>" title="Liste des derni&egrave;res pages modifi&eacute;es">Derniers changements</a>
			</li>
				<?php
				if ($this->GetConfigValue('comment_enable')) {
					echo "<li><a href=\"".$last_comments_url."\" title=\"Liste des derniers commentaires ajout&eacute;s aux pages\">Derniers commentaires</a></li>";
				}
				?>
			<!-- <li class="help">
				<a href="<?php echo $user_help_url ?>" title="Aide en ligne pour les lecteurs">Aide en ligne</a>
			</li> -->
		</ul>
	</div>
	
	<div id="page-tools">
		<div>
			<h3><a id="go_Menu_Page_Tools"></a> Cette page </h3>
		</div>
		
		<ul>
			<?php echo $edit_link ?>
			<?php echo $acl_link ?>
			<?php echo $revisions_link ?>
			<?php echo $page_search_link ?>
			<?php echo $referrers_link ?>
			<?php echo $delete_link ?>
</ul>
	</div>
	
	<div id="contribute">
		<div>
			<h3><a id="go_Menu_Contribute"></a> Contribuer </h3>
		</div>
		
		<ul>
			<?php echo $user_name_link ?>
			<?php echo $user_params_link ?>
			<?php echo $disconnect_link ?>
<li class="help">
				<a href="<?php echo $contrib_help_url ?>" title="Comment cr&eacute;er des pages et formater le texte">Aide aux contributeurs</a>
			</li>
		</ul>
	</div>
	
	<div class="deco-bottom"><span><!-- --></span></div>
</div></div>

<div id="footer">
	<div id="wikini">
		<p> Galope fi&egrave;rement sous <?php echo $wikini_site_url ?> </p>
	</div>
	
	<div id="rss">
		<!-- <ul>
			<li>
				<a href="<?php echo $this->href('', 'PageRSS/xml') ?>" title="Lien vers le fil des pages du site modifi&eacute;es">Fil des pages</a>
			</li>
			<li>
				<a href="<?php echo $this->href('', 'CommentRSS/xml') ?>" title="Lien vers le fil des commentaires ajout&eacute;s">Fil des commentaires</a>
			</li>
		</ul> -->
	</div>
	
	<div id="validation">
		<ul>
			<li>
				<a href="<?php echo $xhtml_validation_url ?>" title="V&eacute;rifier la conformit&eacute; du code Html aux standards du web">XHtml valide</a>
			</li>
			<li>
				<a href="<?php echo $css_validation_url ?>" title="V&eacute;rifier la conformit&eacute; du code CSS aux standards du web">CSS valide</a>
			</li>
		</ul>
	</div>
	
	<div class="deco-bottom"><span><!-- --></span></div>
</div>

</div></div>
</body>
</html>
